function validateEnquiryForm() {
	var valid = true;
	$(".phppot-input").removeClass("error-field");
	$(".validation-message").html("").hide();

	var userName = $("#userName").val();
	var userEmail = $("#userEmail").val();
	var content = $("#content").val();

	if (userName.trim() == "") {
		$("#userName-info").html("required.").show();
		$("#userName").addClass("error-field");

		valid = false;
	}
	if (userEmail.trim() == "") {
		$("#userEmail-info").html("required.").show();
		$("#userEmail").addClass("error-field");

		valid = false;
	}
	if (!userEmail.match(/^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/)) {
		$("#userEmail-info").html("invalid.").show();
		$("#userEmail").addClass("error-field");

		valid = false;
	}
	if (content == "") {
		$("#userMessage-info").html("required.").show();
		$("#content").addClass("error-field");

		valid = false;
	}

	if (valid == false) {
		$('.error-field').first().focus();
		valid = false;
	}
	return valid;
}

function handleFormSubmit(event) {
	event.preventDefault();
	var valid = validateEnquiryForm();

	if (valid) {
		var formData = new FormData($("#frmEnquiry")[0]);

		$.ajax({
			url: 'csrf-validate-ep.php',
			method: 'POST',
			processData: false,
			contentType: false,
			data: formData,
			success: function (response) {
				var jsonResponse = JSON.parse(response);
				var message = jsonResponse.message;
				var type = jsonResponse.type;
				var responseHTML = '<div class="' + type + '">' + message + '</div>';
				$('#phppot-message').html(responseHTML).show();
			},
			error: function (xhr, status, error) {
				console.error(error);
			}
		});
	}
}