<?php
session_start();
?>
<html>

<head>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Submitting project enquiry with CSRF protection</title>
	<link rel="stylesheet" type="text/css" href="assets/css/phppot-style.css" />
	<script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
	<script src="assets/js/form.js"></script>

</head>

<body>
	<div class="phppot-container">
		<h1>CSRF Protection using PHP</h1>
		<form name="frmEnquiry" id="frmEnquiry" class="phppot-form" method="post" onsubmit="handleFormSubmit(event)">

			<div class="phppot-row">
				<div class="label">
					Project title <span id="userName-info" class="validation-message"></span>
				</div>
				<input type="text" class="phppot-input" name="userName" id="userName" />
			</div>
			<div class="phppot-row">
				<div class="label">
					Contact email <span id="userEmail-info" class="validation-message"></span>
				</div>
				<input type="text" class="phppot-input" name="userEmail" id="userEmail" />
			</div>
			<div class="phppot-row">
				<div class="label">
					Short note <span id="userMessage-info" class="validation-message"></span>
				</div>
				<textarea name="content" id="content" class="phppot-input" cols="60" rows="6"></textarea>
			</div>
			<div class="phppot-row">
				<input type="submit" name="send" class="send-button" value="Send" />
			</div>

			<?php require_once __DIR__ . '/form-footer.php';
			?>

		</form>
		<div id="phppot-message"></div>
	</div>
</body>

</html>
<?php
session_write_close();
?>